### Function

# Gimp gradient_segment_set_right_color

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_set_right_color (
      const gchar* name,
      gint segment,
      const GimpRGB* color,
      gdouble opacity
    )

#### Description [src]

Sets the right endpoint color of the specified segment

This procedure sets the right endpoint color of the specified segment of the specified gradient.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`segment`

  Type: `gint`

  The index of the segment within the gradient.

`color`

  Type: `GimpRGB`

  The color to set.

  The data is owned by the caller of the function.

`opacity`

  Type: `gdouble`

  The opacity to set for the endpoint.

#### Return value

Type: `gboolean`

TRUE on success.